* boot-9.scm (load): rewritten again.
[bpt/guile.git] / ice-9 / configure
CommitLineData
0f2d19dd
JB
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
087d2a6f
JB
4# Generated automatically using autoconf version 2.10
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
0f2d19dd
JB
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52
53ac_prev=
54for ac_option
55do
56
57 # If the previous option needs an argument, assign it.
58 if test -n "$ac_prev"; then
59 eval "$ac_prev=\$ac_option"
60 ac_prev=
61 continue
62 fi
63
64 case "$ac_option" in
65 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
66 *) ac_optarg= ;;
67 esac
68
69 # Accept the important Cygnus configure options, so we can diagnose typos.
70
71 case "$ac_option" in
72
73 -bindir | --bindir | --bindi | --bind | --bin | --bi)
74 ac_prev=bindir ;;
75 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
76 bindir="$ac_optarg" ;;
77
78 -build | --build | --buil | --bui | --bu)
79 ac_prev=build ;;
80 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
81 build="$ac_optarg" ;;
82
83 -cache-file | --cache-file | --cache-fil | --cache-fi \
84 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
85 ac_prev=cache_file ;;
86 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
87 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
88 cache_file="$ac_optarg" ;;
89
90 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
91 ac_prev=datadir ;;
92 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
93 | --da=*)
94 datadir="$ac_optarg" ;;
95
96 -disable-* | --disable-*)
97 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
98 # Reject names that are not valid shell variable names.
99 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
100 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
101 fi
102 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
103 eval "enable_${ac_feature}=no" ;;
104
105 -enable-* | --enable-*)
106 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
107 # Reject names that are not valid shell variable names.
108 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
109 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
110 fi
111 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
112 case "$ac_option" in
113 *=*) ;;
114 *) ac_optarg=yes ;;
115 esac
116 eval "enable_${ac_feature}='$ac_optarg'" ;;
117
118 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
119 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
120 | --exec | --exe | --ex)
121 ac_prev=exec_prefix ;;
122 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
123 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
124 | --exec=* | --exe=* | --ex=*)
125 exec_prefix="$ac_optarg" ;;
126
127 -gas | --gas | --ga | --g)
128 # Obsolete; use --with-gas.
129 with_gas=yes ;;
130
131 -help | --help | --hel | --he)
132 # Omit some internal or obsolete options to make the list less imposing.
133 # This message is too long to be a string in the A/UX 3.1 sh.
134 cat << EOF
135Usage: configure [options] [host]
136Options: [defaults in brackets after descriptions]
137Configuration:
138 --cache-file=FILE cache test results in FILE
139 --help print this message
140 --no-create do not create output files
141 --quiet, --silent do not print \`checking...' messages
142 --version print the version of autoconf that created configure
143Directory and file names:
144 --prefix=PREFIX install architecture-independent files in PREFIX
145 [$ac_default_prefix]
146 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
147 [same as prefix]
148 --bindir=DIR user executables in DIR [EPREFIX/bin]
149 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
150 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
151 --datadir=DIR read-only architecture-independent data in DIR
152 [PREFIX/share]
153 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
154 --sharedstatedir=DIR modifiable architecture-independent data in DIR
155 [PREFIX/com]
156 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
157 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
158 --includedir=DIR C header files in DIR [PREFIX/include]
159 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
160 --infodir=DIR info documentation in DIR [PREFIX/info]
161 --mandir=DIR man documentation in DIR [PREFIX/man]
162 --srcdir=DIR find the sources in DIR [configure dir or ..]
163 --program-prefix=PREFIX prepend PREFIX to installed program names
164 --program-suffix=SUFFIX append SUFFIX to installed program names
165 --program-transform-name=PROGRAM
166 run sed PROGRAM on installed program names
167EOF
168 cat << EOF
169Host type:
170 --build=BUILD configure for building on BUILD [BUILD=HOST]
171 --host=HOST configure for HOST [guessed]
172 --target=TARGET configure for TARGET [TARGET=HOST]
173Features and packages:
174 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
175 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
176 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
177 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
178 --x-includes=DIR X include files are in DIR
179 --x-libraries=DIR X library files are in DIR
180EOF
181 if test -n "$ac_help"; then
182 echo "--enable and --with options recognized:$ac_help"
183 fi
184 exit 0 ;;
185
186 -host | --host | --hos | --ho)
187 ac_prev=host ;;
188 -host=* | --host=* | --hos=* | --ho=*)
189 host="$ac_optarg" ;;
190
191 -includedir | --includedir | --includedi | --included | --include \
192 | --includ | --inclu | --incl | --inc)
193 ac_prev=includedir ;;
194 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
195 | --includ=* | --inclu=* | --incl=* | --inc=*)
196 includedir="$ac_optarg" ;;
197
198 -infodir | --infodir | --infodi | --infod | --info | --inf)
199 ac_prev=infodir ;;
200 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
201 infodir="$ac_optarg" ;;
202
203 -libdir | --libdir | --libdi | --libd)
204 ac_prev=libdir ;;
205 -libdir=* | --libdir=* | --libdi=* | --libd=*)
206 libdir="$ac_optarg" ;;
207
208 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
209 | --libexe | --libex | --libe)
210 ac_prev=libexecdir ;;
211 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
212 | --libexe=* | --libex=* | --libe=*)
213 libexecdir="$ac_optarg" ;;
214
215 -localstatedir | --localstatedir | --localstatedi | --localstated \
216 | --localstate | --localstat | --localsta | --localst \
217 | --locals | --local | --loca | --loc | --lo)
218 ac_prev=localstatedir ;;
219 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
220 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
221 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
222 localstatedir="$ac_optarg" ;;
223
224 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
225 ac_prev=mandir ;;
226 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
227 mandir="$ac_optarg" ;;
228
229 -nfp | --nfp | --nf)
230 # Obsolete; use --without-fp.
231 with_fp=no ;;
232
233 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
234 | --no-cr | --no-c)
235 no_create=yes ;;
236
237 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
238 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
239 no_recursion=yes ;;
240
241 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
242 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
243 | --oldin | --oldi | --old | --ol | --o)
244 ac_prev=oldincludedir ;;
245 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
246 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
247 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
248 oldincludedir="$ac_optarg" ;;
249
250 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
251 ac_prev=prefix ;;
252 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
253 prefix="$ac_optarg" ;;
254
255 -program-prefix | --program-prefix | --program-prefi | --program-pref \
256 | --program-pre | --program-pr | --program-p)
257 ac_prev=program_prefix ;;
258 -program-prefix=* | --program-prefix=* | --program-prefi=* \
259 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
260 program_prefix="$ac_optarg" ;;
261
262 -program-suffix | --program-suffix | --program-suffi | --program-suff \
263 | --program-suf | --program-su | --program-s)
264 ac_prev=program_suffix ;;
265 -program-suffix=* | --program-suffix=* | --program-suffi=* \
266 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
267 program_suffix="$ac_optarg" ;;
268
269 -program-transform-name | --program-transform-name \
270 | --program-transform-nam | --program-transform-na \
271 | --program-transform-n | --program-transform- \
272 | --program-transform | --program-transfor \
273 | --program-transfo | --program-transf \
274 | --program-trans | --program-tran \
275 | --progr-tra | --program-tr | --program-t)
276 ac_prev=program_transform_name ;;
277 -program-transform-name=* | --program-transform-name=* \
278 | --program-transform-nam=* | --program-transform-na=* \
279 | --program-transform-n=* | --program-transform-=* \
280 | --program-transform=* | --program-transfor=* \
281 | --program-transfo=* | --program-transf=* \
282 | --program-trans=* | --program-tran=* \
283 | --progr-tra=* | --program-tr=* | --program-t=*)
284 program_transform_name="$ac_optarg" ;;
285
286 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
287 | -silent | --silent | --silen | --sile | --sil)
288 silent=yes ;;
289
290 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
291 ac_prev=sbindir ;;
292 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
293 | --sbi=* | --sb=*)
294 sbindir="$ac_optarg" ;;
295
296 -sharedstatedir | --sharedstatedir | --sharedstatedi \
297 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
298 | --sharedst | --shareds | --shared | --share | --shar \
299 | --sha | --sh)
300 ac_prev=sharedstatedir ;;
301 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
302 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
303 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
304 | --sha=* | --sh=*)
305 sharedstatedir="$ac_optarg" ;;
306
307 -site | --site | --sit)
308 ac_prev=site ;;
309 -site=* | --site=* | --sit=*)
310 site="$ac_optarg" ;;
311
312 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
313 ac_prev=srcdir ;;
314 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
315 srcdir="$ac_optarg" ;;
316
317 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
318 | --syscon | --sysco | --sysc | --sys | --sy)
319 ac_prev=sysconfdir ;;
320 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
321 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
322 sysconfdir="$ac_optarg" ;;
323
324 -target | --target | --targe | --targ | --tar | --ta | --t)
325 ac_prev=target ;;
326 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
327 target="$ac_optarg" ;;
328
329 -v | -verbose | --verbose | --verbos | --verbo | --verb)
330 verbose=yes ;;
331
332 -version | --version | --versio | --versi | --vers)
087d2a6f 333 echo "configure generated by autoconf version 2.10"
0f2d19dd
JB
334 exit 0 ;;
335
336 -with-* | --with-*)
337 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
338 # Reject names that are not valid shell variable names.
339 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
340 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
341 fi
342 ac_package=`echo $ac_package| sed 's/-/_/g'`
343 case "$ac_option" in
344 *=*) ;;
345 *) ac_optarg=yes ;;
346 esac
347 eval "with_${ac_package}='$ac_optarg'" ;;
348
349 -without-* | --without-*)
350 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
351 # Reject names that are not valid shell variable names.
352 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
353 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
354 fi
355 ac_package=`echo $ac_package| sed 's/-/_/g'`
356 eval "with_${ac_package}=no" ;;
357
358 --x)
359 # Obsolete; use --with-x.
360 with_x=yes ;;
361
362 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
363 | --x-incl | --x-inc | --x-in | --x-i)
364 ac_prev=x_includes ;;
365 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
366 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
367 x_includes="$ac_optarg" ;;
368
369 -x-libraries | --x-libraries | --x-librarie | --x-librari \
370 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
371 ac_prev=x_libraries ;;
372 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
373 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
374 x_libraries="$ac_optarg" ;;
375
376 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
377 ;;
378
379 *)
380 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
381 echo "configure: warning: $ac_option: invalid host type" 1>&2
382 fi
383 if test "x$nonopt" != xNONE; then
384 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
385 fi
386 nonopt="$ac_option"
387 ;;
388
389 esac
390done
391
392if test -n "$ac_prev"; then
393 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
394fi
395
396trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
397
398# File descriptor usage:
399# 0 standard input
400# 1 file creation
401# 2 errors and warnings
402# 3 some systems may open it to /dev/tty
403# 4 used on the Kubota Titan
404# 6 checking for... messages and results
405# 5 compiler messages saved in config.log
406if test "$silent" = yes; then
407 exec 6>/dev/null
408else
409 exec 6>&1
410fi
411exec 5>./config.log
412
413echo "\
414This file contains any messages produced by compilers while
415running configure, to aid debugging if configure makes a mistake.
416" 1>&5
417
418# Strip out --no-create and --no-recursion so they do not pile up.
419# Also quote any args containing shell metacharacters.
420ac_configure_args=
421for ac_arg
422do
423 case "$ac_arg" in
424 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
425 | --no-cr | --no-c) ;;
426 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
427 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
428 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
429 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
430 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
431 esac
432done
433
434# NLS nuisances.
435# Only set LANG and LC_ALL to C if already set.
436# These must not be set unconditionally because not all systems understand
437# e.g. LANG=C (notably SCO).
438if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
439if test "${LANG+set}" = set; then LANG=C; export LANG; fi
440
441# confdefs.h avoids OS command line length limits that DEFS can exceed.
442rm -rf conftest* confdefs.h
443# AIX cpp loses on an empty file, so make sure it contains at least a newline.
444echo > confdefs.h
445
446# A filename unique to this package, relative to the directory that
447# configure is in, which we can look for to find out if srcdir is correct.
448ac_unique_file=boot-9.scm
449
450# Find the source files, if location was not specified.
451if test -z "$srcdir"; then
452 ac_srcdir_defaulted=yes
453 # Try the directory containing this script, then its parent.
454 ac_prog=$0
455 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
456 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
457 srcdir=$ac_confdir
458 if test ! -r $srcdir/$ac_unique_file; then
459 srcdir=..
460 fi
461else
462 ac_srcdir_defaulted=no
463fi
464if test ! -r $srcdir/$ac_unique_file; then
465 if test "$ac_srcdir_defaulted" = yes; then
466 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
467 else
468 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
469 fi
470fi
471srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
472
473# Prefer explicitly selected file to automatically selected ones.
474if test -z "$CONFIG_SITE"; then
475 if test "x$prefix" != xNONE; then
476 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
477 else
478 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
479 fi
480fi
481for ac_site_file in $CONFIG_SITE; do
482 if test -r "$ac_site_file"; then
483 echo "loading site script $ac_site_file"
484 . "$ac_site_file"
485 fi
486done
487
488if test -r "$cache_file"; then
489 echo "loading cache $cache_file"
490 . $cache_file
491else
492 echo "creating cache $cache_file"
493 > $cache_file
494fi
495
496ac_ext=c
497# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
087d2a6f
JB
498ac_cpp='$CPP $CPPFLAGS'
499ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
500ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
0f2d19dd
JB
501
502if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
503 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
504 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
505 ac_n= ac_c='
506' ac_t=' '
507 else
508 ac_n=-n ac_c= ac_t=
509 fi
510else
511 ac_n= ac_c='\c' ac_t=
512fi
513
514
515
516. $srcdir/../GUILE-VERSION
517
0f2d19dd
JB
518. $srcdir/PLUGIN/this.configure
519
520
521
0f2d19dd
JB
522trap '' 1 2 15
523cat > confcache <<\EOF
524# This file is a shell script that caches the results of configure
525# tests run on this system so they can be shared between configure
526# scripts and configure runs. It is not useful on other systems.
527# If it contains results you don't want to keep, you may remove or edit it.
528#
529# By default, configure uses ./config.cache as the cache file,
530# creating it if it does not exist already. You can give configure
531# the --cache-file=FILE option to use a different cache file; that is
532# what configure does when it calls configure scripts in
533# subdirectories, so they share the cache.
534# Giving --cache-file=/dev/null disables caching, for debugging configure.
535# config.status only pays attention to the cache file if you give it the
536# --recheck option to rerun configure.
537#
538EOF
539# Ultrix sh set writes to stderr and can't be redirected directly,
540# and sets the high bit in the cache file unless we assign to the vars.
541(set) 2>&1 |
542 sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
543 >> confcache
544if cmp -s $cache_file confcache; then
545 :
546else
547 if test -w $cache_file; then
548 echo "updating cache $cache_file"
549 cat confcache > $cache_file
550 else
551 echo "not updating unwritable cache $cache_file"
552 fi
553fi
554rm -f confcache
555
556trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
557
558test "x$prefix" = xNONE && prefix=$ac_default_prefix
559# Let make expand exec_prefix.
560test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
561
562# Any assignment to VPATH causes Sun make to only execute
563# the first set of double-colon rules, so remove it if not needed.
564# If there is a colon in the path, we need to keep it.
565if test "x$srcdir" = x.; then
566 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
567fi
568
569trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
570
571# Transform confdefs.h into DEFS.
572# Protect against shell expansion while executing Makefile rules.
573# Protect against Makefile macro expansion.
574cat > conftest.defs <<\EOF
087d2a6f 575s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
0f2d19dd
JB
576s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
577s%\[%\\&%g
578s%\]%\\&%g
579s%\$%$$%g
580EOF
581DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
582rm -f conftest.defs
583
584
585# Without the "./", some shells look in PATH for config.status.
586: ${CONFIG_STATUS=./config.status}
587
588echo creating $CONFIG_STATUS
589rm -f $CONFIG_STATUS
590cat > $CONFIG_STATUS <<EOF
591#! /bin/sh
592# Generated automatically by configure.
593# Run this file to recreate the current configuration.
594# This directory was configured as follows,
595# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
596#
597# $0 $ac_configure_args
598#
599# Compiler output produced by configure, useful for debugging
600# configure, is in ./config.log if it exists.
601
602ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
603for ac_option
604do
605 case "\$ac_option" in
606 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
607 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
608 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
609 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
087d2a6f 610 echo "$CONFIG_STATUS generated by autoconf version 2.10"
0f2d19dd
JB
611 exit 0 ;;
612 -help | --help | --hel | --he | --h)
613 echo "\$ac_cs_usage"; exit 0 ;;
614 *) echo "\$ac_cs_usage"; exit 1 ;;
615 esac
616done
617
618ac_given_srcdir=$srcdir
619
620trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
621EOF
622cat >> $CONFIG_STATUS <<EOF
623
624# Protect against being on the right side of a sed subst in config.status.
625sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
626 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
627$ac_vpsub
628$extrasub
629s%@CFLAGS@%$CFLAGS%g
630s%@CPPFLAGS@%$CPPFLAGS%g
631s%@CXXFLAGS@%$CXXFLAGS%g
632s%@DEFS@%$DEFS%g
633s%@LDFLAGS@%$LDFLAGS%g
634s%@LIBS@%$LIBS%g
635s%@exec_prefix@%$exec_prefix%g
636s%@prefix@%$prefix%g
637s%@program_transform_name@%$program_transform_name%g
638s%@bindir@%$bindir%g
639s%@sbindir@%$sbindir%g
640s%@libexecdir@%$libexecdir%g
641s%@datadir@%$datadir%g
642s%@sysconfdir@%$sysconfdir%g
643s%@sharedstatedir@%$sharedstatedir%g
644s%@localstatedir@%$localstatedir%g
645s%@libdir@%$libdir%g
646s%@includedir@%$includedir%g
647s%@oldincludedir@%$oldincludedir%g
648s%@infodir@%$infodir%g
649s%@mandir@%$mandir%g
0f2d19dd
JB
650s%@library_name@%$library_name%g
651s%@info_files@%$info_files%g
652s%@GUILE_VERSION@%$GUILE_VERSION%g
653
654CEOF
655EOF
656cat >> $CONFIG_STATUS <<EOF
657
658CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
659EOF
660cat >> $CONFIG_STATUS <<\EOF
661for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
662 # Support "outfile[:infile]", defaulting infile="outfile.in".
663 case "$ac_file" in
664 *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
665 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
666 *) ac_file_in="${ac_file}.in" ;;
667 esac
668
669 # Adjust relative srcdir, etc. for subdirectories.
670
671 # Remove last slash and all that follows it. Not all systems have dirname.
672 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
673 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
674 # The file is in a subdirectory.
675 test ! -d "$ac_dir" && mkdir "$ac_dir"
676 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
677 # A "../" for each directory in $ac_dir_suffix.
678 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
679 else
680 ac_dir_suffix= ac_dots=
681 fi
682
683 case "$ac_given_srcdir" in
684 .) srcdir=.
685 if test -z "$ac_dots"; then top_srcdir=.
686 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
687 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
688 *) # Relative path.
689 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
690 top_srcdir="$ac_dots$ac_given_srcdir" ;;
691 esac
692
693 echo creating "$ac_file"
694 rm -f "$ac_file"
695 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
696 case "$ac_file" in
697 *Makefile*) ac_comsub="1i\\
698# $configure_input" ;;
699 *) ac_comsub= ;;
700 esac
701 sed -e "$ac_comsub
702s%@configure_input@%$configure_input%g
703s%@srcdir@%$srcdir%g
704s%@top_srcdir@%$top_srcdir%g
705" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
706fi; done
707rm -f conftest.subs
708
709
710
711exit 0
712EOF
713chmod +x $CONFIG_STATUS
714rm -fr confdefs* $ac_clean_files
715test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
716